from models import Medaille

def test_getMedaille(client):
    response = client.get("/1")
    medaille = Medaille(
        id=1,
        type="Or",
        sport="Judo",
        categorie="80kg",
        pays="France"
    )
    assert medaille.model_dump() == response.json
    assert response.status_code == 200
